APIReferenceWebhooks
List deliveries
GET
/webhooks/{id}/deliveriesNeeds the webhooks:write scope.
Authorization
apiKey AuthorizationBearer <token>
An API key: tp_….
In: header
Path Parameters
id*integer
Webhook ID.
Range
1 <= valueQuery Parameters
before?integer
Cursor: the last ID of the previous page.
limit?integer
Page size.
Range
1 <= value <= 200Default
50Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/webhooks/1/deliveries"{ "data": [ { "id": 0, "webhook_id": 0, "event_id": 0, "kind": "string", "payload": { "id": 0, "kind": "device.created", "created_at": "2019-08-24T14:15:22Z", "server_id": 0, "server_name": "string", "device_id": 0, "device_name": "string", "node_name": "string", "ip": "string", "country": "string", "detail": "string", "actor": "string" }, "state": "pending", "attempts": 0, "next_attempt_at": "2019-08-24T14:15:22Z", "last_attempt_at": "2019-08-24T14:15:22Z", "response_status": 0, "error": "string", "duration_ms": 0, "created_at": "2019-08-24T14:15:22Z" } ], "has_more": true}